### Method

# Gimp Vectors stroke_flip_free

#### Declaration [src]

    gboolean
    gimp_vectors_stroke_flip_free (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble x1,
      gdouble y1,
      gdouble x2,
      gdouble y2
    )

#### Description [src]

Flips the given stroke about an arbitrary axis.

Flips the given stroke about an arbitrary axis. Axis is defined by two coordinates in the image (in pixels), through which the flipping axis passes.

Available since: | 2.4

#### Parameters

`stroke_id` | `gint`
| The stroke ID.
`x1` | `gdouble`
| X coordinate of the first point of the flipping axis.
`y1` | `gdouble`
| Y coordinate of the first point of the flipping axis.
`x2` | `gdouble`
| X coordinate of the second point of the flipping axis.
`y2` | `gdouble`
| Y coordinate of the second point of the flipping axis.

#### Return value

Returns: | `gboolean`
| TRUE on success.